--
-- SQL, которые надо выполнить движку при активации плагина админом. Вызывается на исполнение ВРУЧНУЮ в /plugins/PluginAbcplugin.class.php в методе Activate()
-- Например:

-- CREATE TABLE IF NOT EXISTS `prefix_tablename` (
--  `page_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
--  `page_pid` int(11) unsigned DEFAULT NULL,
--  PRIMARY KEY (`page_id`),
--  KEY `page_pid` (`page_pid`),
-- ) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `prefix_blog_tag` (
	`blog_tag_id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	`user_id` INT(11) UNSIGNED NOT NULL,
	`blog_id` INT(11) UNSIGNED NOT NULL,
	`blog_tag_text` VARCHAR(50) NOT NULL,
	PRIMARY KEY (`blog_tag_id`),
	INDEX `user_id` (`user_id`),
	INDEX `blog_id` (`blog_id`),
	INDEX `blog_tag_text` (`blog_tag_text`),
	CONSTRAINT `prefix_blog_tag_fk1` FOREIGN KEY (`user_id`) REFERENCES `prefix_user` (`user_id`) ON UPDATE CASCADE ON DELETE CASCADE,
	CONSTRAINT `prefix_blog_tag_fk2` FOREIGN KEY (`blog_id`) REFERENCES `prefix_blog` (`blog_id`) ON UPDATE CASCADE ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

ALTER TABLE `prefix_blog` ADD COLUMN `blog_tags` VARCHAR(250) NULL DEFAULT NULL AFTER `blog_avatar`;