<?php

/**
 * Запрещаем напрямую через браузер обращение к этому файлу.
 */
if (!class_exists('Plugin')) {
    die('Hacking attemp!');
}

class PluginBlogtags extends Plugin {

    // Объявление делегирований (нужны для того, чтобы назначить свои экшны и шаблоны)
    public $aDelegates = array(
	    'template' => array('blog_list.tpl'=>'_blog_list.tpl'),
    );

    // Объявление переопределений (модули, мапперы и сущности)
    protected $aInherits=array(
	    'module' => array('ModuleBlog'),
	    'entity' => array('ModuleBlog_EntityBlog'),
	    'mapper' => array('ModuleBlog_MapperBlog'),
    );

    // Активация плагина
    public function Activate() {
        if (!$this->isFieldExists('prefix_blog','blog_tags')) 
            $this->ExportSQL(dirname(__FILE__).'/install.sql');
        return true;
    }

    // Деактивация плагина
    public function Deactivate(){
	    return true;
    }


    // Инициализация плагина
    public function Init() {
        $this->Viewer_AppendScript(Plugin::GetTemplatePath(__CLASS__)."js/script.js"); // Добавление своего JS
    }
}
?>
